//STHORMR2  JOB (DE07804),'STHOR',CLASS=A,MSGCLASS=X,NOTIFY=STHOR,
//             USER=STHOR
//*
//*--------------------------------------------------------------------
//* JOB TO COMPILE AND LINK A MAIN EXEC AND SEVERAL EXTERNAL FUNCTION
//* EXECS INTO LOAD MODULES - AND FINALLY LINK ALL THESE SEPERATE LOAD
//* MODULES INTO ONE SINGLE BIG LOAD MODULE.
//*
//*
//*--------------------------------------------------------------------
//* JOBLIB, NECESSARY FOR FINDING THE REXX COMPILER
//*
//JOBLIB     DD DSN=SYS1.REXX.V130.SFANLMD,DISP=SHR
//*
//*--------------------------------------------------------------------
//* ALLOCATE PARTITIONED DATASETS FOR TEMPORARY DATA
//*
//ALLOC    EXEC PGM=IEFBR14
//EXTFUNCS   DD DSN=&&EXTFUNCS,DISP=(NEW,PASS),DCB=(LRECL=80,RECFM=FB),
//             SPACE=(3120,(50,50,10))
//OBJDECKS   DD DSN=&&OBJDECKS,DISP=(NEW,PASS),DCB=(LRECL=80,RECFM=FB),
//             SPACE=(3120,(50,50,10))
//LOADMODS   DD DSN=&&LOADMODS,DISP=(NEW,PASS),DCB=(RECFM=U),
//             SPACE=(32200,(20,20,10))
//*
//*--------------------------------------------------------------------
//* COPY AND RENAME RECURSIVE EXTERNAL REXX FUNCTIONS
//*
//MCOPY    EXEC PGM=IEBCOPY
//SYSPRINT   DD SYSOUT=*
//SRC1       DD DSN=STHOR.CODE.REXX,DISP=SHR
//TRG        DD DSN=&&EXTFUNCS,DISP=(SHR,PASS)
//SYSIN      DD *
  COPY     OUTDD=TRG,INDD=SRC1
  SELECT   MEMBER=((SAYN,@SAYN))
/*
//*
//*--------------------------------------------------------------------
//* COMPILE THE EXTERNAL REXX FUNCTIONS
//*
//C1       EXEC PGM=REXXCOMP,PARM='NOCEXEC OBJECT DLINK'
//SYSTERM    DD SYSOUT=*
//SYSPRINT   DD SYSOUT=*
//SYSIN      DD DSN=&&EXTFUNCS(@SAYN),DISP=(SHR,PASS)
//SYSPUNCH   DD DSN=&&OBJDECKS(@SAYN),DISP=(SHR,PASS)
//*
//C2       EXEC PGM=REXXCOMP,PARM='NOCEXEC OBJECT'
//SYSTERM    DD SYSOUT=*
//SYSPRINT   DD SYSOUT=*
//SYSIN      DD DSN=STHOR.CODE.REXX(CSAYN),DISP=SHR
//SYSPUNCH   DD DSN=&&OBJDECKS(CSAYN),DISP=(SHR,PASS)
//*
//*--------------------------------------------------------------------
//* LINK THE EXTERNAL REXX FUNCTIONS
//*
//L1       EXEC PGM=HEWL,PARM='LIST,AMODE=31,RMODE=ANY,RENT,MAP'
//SYSUT1     DD UNIT=SYSDA,SPACE=(1024,(200,20))
//SYSPRINT   DD SYSOUT=*
//SYSLIB     DD DSN=SYS1.REXX.V130.SEAGLMD,DISP=SHR
//SYSLMOD    DD DSN=&&LOADMODS,DISP=(SHR,PASS)
//OBJS       DD DSN=&&OBJDECKS,DISP=(SHR,PASS)
//SYSLIN     DD *
  CHANGE   EAGSTUB(SAYN),EAGOBJ(@SAYN)
  INCLUDE  SYSLIB(EAGSTCE)
  INCLUDE  OBJS(@SAYN)
  ENTRY    SAYN
  NAME     SAYN(R)
/*
//*
//L2       EXEC PGM=HEWL,PARM='LIST,AMODE=31,RMODE=ANY,RENT,MAP'
//SYSUT1     DD UNIT=SYSDA,SPACE=(1024,(200,20))
//SYSPRINT   DD SYSOUT=*
//SYSLIB     DD DSN=SYS1.REXX.V130.SEAGLMD,DISP=SHR
//SYSLMOD    DD DSN=&&LOADMODS,DISP=(SHR,PASS)
//OBJS       DD DSN=&&OBJDECKS,DISP=(SHR,PASS)
//SYSLIN     DD *
  CHANGE   EAGSTUB(CSAYN),EAGOBJ(@CSAYN)
  INCLUDE  SYSLIB(EAGSTCE)
  CHANGE   CSAYN(@CSAYN)
  INCLUDE  OBJS(CSAYN)
  ENTRY    CSAYN
  NAME     CSAYN(R)
/*
//*
//*--------------------------------------------------------------------
//* COMPILE THE MAIN REXX MODULE
//*
//C3       EXEC PGM=REXXCOMP,PARM='NOCEXEC OBJECT DLINK'
//SYSTERM    DD SYSOUT=*
//SYSPRINT   DD SYSOUT=*
//SYSIN      DD DSN=STHOR.CODE.REXX(REPW2),DISP=SHR
//SYSPUNCH   DD DSN=&&OBJDECKS(REPW2),DISP=(SHR,PASS)
//*
//*--------------------------------------------------------------------
//* LINK THE MAIN MODULE
//*
//L3       EXEC PGM=HEWL,PARM='LIST,AMODE=31,RMODE=ANY,RENT,MAP'
//SYSUT1     DD UNIT=SYSDA,SPACE=(1024,(200,20))
//SYSPRINT   DD SYSOUT=*
//SYSLIB     DD DSN=SYS1.REXX.V130.SEAGLMD,DISP=SHR
//SYSLMOD    DD DSN=&&LOADMODS,DISP=(SHR,PASS)
//OBJS       DD DSN=&&OBJDECKS,DISP=(SHR,PASS)
//SYSLIN     DD *
  CHANGE   EAGSTUB(REPW2),EAGOBJ($REPW2)
  INCLUDE  SYSLIB(EAGSTCE)
  CHANGE   REPW2($REPW2)
  INCLUDE  OBJS(REPW2)
  ENTRY    REPW2
  NAME     REPW2(R)
/*
//*
//*--------------------------------------------------------------------
//* NOW LINK IT ALL TOGETHER INTO ONE BIG LOAD MODULE
//*
//LFINAL   EXEC PGM=HEWL,PARM='LIST,RENT,MAP,AMODE=31,RMODE=ANY'
//SYSLIB     DD DUMMY
//SYSUT1     DD UNIT=SYSDA,SPACE=(1024,(200,20))
//SYSPRINT   DD SYSOUT=*
//SYSLMOD    DD DSN=STHOR.LOAD,DISP=SHR
//LMODS      DD DSN=&&LOADMODS,DISP=(SHR,PASS)
//SYSLIN     DD *
  INCLUDE  LMODS(REPW2)
  INCLUDE  LMODS(SAYN)
  INCLUDE  LMODS(CSAYN)
  ENTRY    REPW2
  NAME     REPW2(R)
/*
